Subject: Re: bug#75593: 31.0.50; Faulty macro kills Emacs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 15 Jan 2025 22:21:40 +0200

> Date: Wed, 15 Jan 2025 19:00:01 +0000
> From:  Alexander Prähauser via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> A macro I've defined in causes Emacs to crash. The macro is faulty but I
> still don't think it should do that. I've attached a file with a
> functioning version of the macro, the version that crashes with comments
> where it is changed and where it crashes and a configuration that causes
> it to crash. Careful, evaluating that buffer will kill Emacs. I've run
> `emacs -Q' in gdb and added a logging file. The output of `bt-full' is 

Could you please show a full recipe for reproducing this?  After
starting "emacs -Q", what should I type, step by step, to trigger the
crash?

Thanks.